Package groovy.lang

# Class MetaClassImpl.MetaConstructor

java.lang.Object
org.codehaus.groovy.reflection.ParameterTypes
groovy.lang.MetaMethod
groovy.lang.MetaClassImpl.MetaConstructor

All Implemented Interfaces:
  `MetaMember`, `Cloneable`

Enclosing class:
  MetaClassImpl

public static final class MetaClassImpl.MetaConstructor extends MetaMethod
This is a helper class which is used only by indy. It is for internal use.

Since:
  2.1.0

- ## Field Summary

  ### Fields inherited from class groovy.lang.MetaMethod

  `EMPTY_ARRAY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CachedConstructor`
  `getCachedConstrcutor()`
  Returns the cached constructor wrapped by this meta constructor.
  `CachedClass`
  `getDeclaringClass()`
  Gets the class where this method is declared.
  `int`
  `getModifiers()`
  Returns the modifiers of this method.
  `String`
  `getName()`
  Returns the name of this method.
  `Class`
  `getReturnType()`
  Returns the return type for this method.
  `Object`
  `invoke(Object object, Object[] arguments)`
  Invokes this method.
  `boolean`
  `isBeanConstructor()`
  Indicates whether this constructor performs Groovy bean-style map population.

  ### Methods inherited from class groovy.lang.MetaMethod

  `checkParameters, clone, doMethodInvoke, equal, equal, getDescriptor, getMopName, getSignature, isAbstract, isCacheable, isDefault, isMethod, isSame, processDoMethodInvokeException, toString`

  ### Methods inherited from class org.codehaus.groovy.reflection.ParameterTypes

  `coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getParameterTypes, getPT, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface groovy.lang.MetaMember

  `isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, isSynthetic`

- ## Method Details

  - ### getModifiers

    public int getModifiers()
    Returns the modifiers of this method.
    Specified by:
      `getModifiers` in interface `MetaMember`
    Specified by:
      `getModifiers` in class `MetaMethod`
    Returns:
      modifiers as an int.

  - ### getName

    public String getName()
    Returns the name of this method.
    Specified by:
      `getName` in interface `MetaMember`
    Specified by:
      `getName` in class `MetaMethod`
    Returns:
      name of this method

  - ### getReturnType

    public Class getReturnType()
    Returns the return type for this method.
    Specified by:
      `getReturnType` in class `MetaMethod`
    Returns:
      the return type of this method

  - ### getDeclaringClass

    public CachedClass getDeclaringClass()
    Gets the class where this method is declared.
    Specified by:
      `getDeclaringClass` in class `MetaMethod`
    Returns:
      class of this method

  - ### invoke

    public Object invoke(Object object, Object[] arguments)
    Invokes this method.
    Specified by:
      `invoke` in class `MetaMethod`
    Parameters:
      `object` - The object this method should be invoked on
      `arguments` - The arguments for the method if applicable
    Returns:
      The return value of the invocation

  - ### getCachedConstrcutor

    public CachedConstructor getCachedConstrcutor()
    Returns the cached constructor wrapped by this meta constructor.
    Returns:
      the cached constructor

  - ### isBeanConstructor

    public boolean isBeanConstructor()
    Indicates whether this constructor performs Groovy bean-style map population.
    Returns:
      `true` for bean constructors